# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       crudminer
Version:    0.3.2
Release:    alt2_13
Summary:    Find and report insecure web software in a web root

Group:      System/Base
License:    GPLv3
URL:        https://github.com/mricon/CrudMiner
Source0:    https://github.com/downloads/mricon/CrudMiner/crudminer-%{version}.tar.gz
Patch0:     crudminer-%{version}-system-paths.patch
BuildArch:  noarch
Source44: import.info

%description
Locate vulnerable software in a web root by comparing the installed files
against a list of insecure products.

%prep
%setup -q
%patch0 -p1 -b .paths


%build


%install
mkdir -p -m0755 \
    %{buildroot}%{_sysconfdir}/crudminer \
    %{buildroot}%{_localstatedir}/lib/crudminer \
    %{buildroot}%{_bindir} \
    %{buildroot}%{_mandir}/man5
install -p -m 0755 crudminer.py %{buildroot}%{_bindir}/crudminer
install -p -m 0644 *.ini %{buildroot}%{_sysconfdir}/crudminer/
install -p -m 0644 crudminer.5 %{buildroot}%{_mandir}/man5/


%files
%doc tests COPYING TODO README.rst
%dir %{_sysconfdir}/crudminer
%dir %{_localstatedir}/lib/crudminer
%config(noreplace) %{_sysconfdir}/crudminer/*.ini
%{_bindir}/*
%{_mandir}/man5/*

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_12
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_8
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_7
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_5
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.3.2-alt2_4
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_4
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_3
- fc import

